Page MenuHomePhabricator

[mips] Make symbols an acceptable branch target when expanding compare-to-immediate-and-branch macros.
ClosedPublic

Authored by dsanders on Dec 9 2015, 2:02 AM.

Diff Detail

Event Timeline

dsanders updated this revision to Diff 42276.Dec 9 2015, 2:02 AM
dsanders retitled this revision from to [mips] Make symbols an acceptable branch target when expanding compare-to-immediate-and-branch macros..
dsanders updated this object.

I'm assuming this should *just* be committed at this point right?

vkalintiris accepted this revision.Feb 19 2016, 2:31 AM
vkalintiris added a reviewer: vkalintiris.

LGTM.

lib/Target/Mips/AsmParser/MipsAsmParser.cpp
2516

Instead of removing the assertion, it would be nice to keep it and OR it with isExpr().

This revision is now accepted and ready to land.Feb 19 2016, 2:31 AM
dsanders closed this revision.Feb 29 2016, 3:29 AM